Bug 967375 - Review Request: replacer - Replacer Maven Mojo
Review Request: replacer - Replacer Maven Mojo
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 857077 857102 967381
  Show dependency treegraph
 
Reported: 2013-05-26 18:27 EDT by gil cattaneo
Modified: 2013-06-29 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: replacer-1.5.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-05-26 18:27:00 EDT
Spec URL: http://gil.fedorapeople.org/maven-replacer-plugin.spec
SRPM URL: http://gil.fedorapeople.org/maven-replacer-plugin-1.5.2-1.fc18.src.rpm
Description: Maven plugin to replace tokens in a given file with a value.

Fedora Account System Username: gil

This plugin is also used to automatically generating PackageVersion.java
in the FasterXML.com projects.

maven-replacer-plugin don't include the license file.
see: http://code.google.com/p/maven-replacer-plugin/issues/detail?id=84

Tested on:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5427814
Comment 1 Michal Srb 2013-06-07 15:36:46 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: maven-replacer-plugin-1.5.2-1.fc20.noarch.rpm
          maven-replacer-plugin-javadoc-1.5.2-1.fc20.noarch.rpm
maven-replacer-plugin.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint maven-replacer-plugin-javadoc maven-replacer-plugin
maven-replacer-plugin.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
maven-replacer-plugin-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

maven-replacer-plugin (rpmlib, GLIBC filtered):
    ant
    apache-commons-io
    apache-commons-lang
    java
    jpackage-utils
    mvn(org.apache.maven:maven-plugin-api)
    xerces-j2



Provides
--------
maven-replacer-plugin-javadoc:
    maven-replacer-plugin-javadoc
    replacer-javadoc

maven-replacer-plugin:
    maven-replacer-plugin
    mvn(com.google.code.maven-replacer-plugin:replacer)
    replacer



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 967375

Issues:
The package looks good, however:
- I don't quite understand why does the package provide "replacer"? From upstream website: "Plugin artifactId was renamed to 'replacer' from 'maven-replacer-plugin'", so I would just add alias to add_maven_depmap:
%add_maven_depmap -a "com.google.code.maven-replacer-plugin:maven-replacer-plugin"
- Also I would drop that symlink to javadoc, I think it's not necessary

Please fix these issues before importing files to the repository. Thanks

APPROVED
Comment 2 gil cattaneo 2013-06-07 16:53:53 EDT
Spec URL: http://gil.fedorapeople.org/maven-replacer-plugin.spec
SRPM URL: http://gil.fedorapeople.org/maven-replacer-plugin-1.5.2-1.fc18.src.rpm

- added old alias to add_maven_depmap
- removed javadoc symlink
Comment 4 Michal Srb 2013-06-10 03:13:48 EDT
Well, if you decided rename the package then maybe closing this as NOTABUG and creating new review-request would be better. I know that it's a detail, but this renaming in the middle of review could confuse some people.
Comment 5 gil cattaneo 2013-06-10 06:58:46 EDT
sorry,
would not be enough to change only the summary?
Comment 6 Michal Srb 2013-06-10 07:22:35 EDT
Ok, I think that package "replacer" looks good now.

Approved.
Comment 7 gil cattaneo 2013-06-10 09:32:31 EDT
Thanks!

New Package SCM Request
=======================
Package Name: replacer
Short Description: Replacer Maven Mojo
Owners: gil
Branches: f18 f19 f20
InitialCC: java-sig
Comment 8 Gwyn Ciesla 2013-06-10 10:20:35 EDT
Git done (by process-git-requests).

Please stop requesting f20 until it's branched.  It's currently devel and is
automatically provided.  Thanks!
Comment 9 Fedora Update System 2013-06-10 11:14:40 EDT
replacer-1.5.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/replacer-1.5.2-1.fc19
Comment 10 Fedora Update System 2013-06-10 11:44:05 EDT
replacer-1.5.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/replacer-1.5.2-1.fc18
Comment 11 Fedora Update System 2013-06-11 05:10:18 EDT
replacer-1.5.2-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-06-19 00:34:54 EDT
replacer-1.5.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-06-29 14:21:35 EDT
replacer-1.5.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.